\ProvidesPackage{generalstyles}

%remove blank page after title page
\usepackage{etoolbox}
\makeatletter
\patchcmd{\@maketitle}{\newpage}{}{}{}
\makeatother



%end of lecture counter
%dots in table of contents
%\makeatletter
%\renewcommand{\tocsection}[3]{%
%  \indentlabel{\@ifnotempty{#2}{\ignorespaces#1 #2.\quad}}#3\dotfill%
%}
%\makeatother


%for enumerate
\usepackage{enumitem}
%\setlist[enumerate]{topsep=-.5em,after=\vspace{\baselineskip},label=\normalfont \roman*)}
\setlist[enumerate]{label=\normalfont \roman*)}
%for marked comments
\usepackage{xcolor}
\newcommand{\coms}{\color{purple}}%comment - start
\newcommand{\come}{\color{black}}%comment - end
\newcommand{\tos}{\color{red}}


%for blank page
\def\blankpage{%
      \clearpage%
      \thispagestyle{empty}%
      \addtocounter{page}{-1}%
      \null%
      \clearpage}

      \usepackage{nameref}
      \makeatletter
      \newcommand*{\currentname}{\@currentlabelname}
      \makeatother
